Debian Bug report logs - #580894
nvidia-glx conflicts with nouveau KMS driver

version graph

Package: nvidia-kernel-common; Maintainer for nvidia-kernel-common is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-kernel-common is src:nvidia-support.

Reported by: "Hans-J. Ullrich" <hans.ullrich@loop.de>

Date: Sun, 9 May 2010 16:45:01 UTC

Severity: grave

Tags: sid

Found in version nvidia-kernel-common/20100216+3+nmu1

Fixed in version nvidia-kernel-common/20100522+1

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#580894; Package linux-image-2.6.32-5-amd65. (Sun, 09 May 2010 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sun, 09 May 2010 16:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Sun, 09 May 2010 18:31:39 +0200
Package: linux-image-2.6.32-5-amd65
Severity: grave
Tags: sid
Justification: renders package unusable



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Dear maintainer-team,

I just made an upgrade from kernel linux-image-2.6.32-3-amd64 to ****-5-amd64.

Sadly I have to tell, thatthe new kernel does not start, more precisely, the screen goes black (switches off). 
I can see, that the boot process is going on, until X starts. 

The last thing, I can see, is something with "drm" and "noveau". As it is going too fast to read the lines, I checked
the logs. the relevant output (i suppose) is this:

----------- snip -----------------

May  9 17:36:40 localhost kernel: [    7.531235] input: Acer Crystal Eye webcam  as /devices/pci0000:00/0000:00:02.1/usb1/1-3/1-3:1.0/input/input10
May  9 17:36:40 localhost kernel: [    7.556239] usbcore: registered new interface driver uvcvideo
May  9 17:36:40 localhost kernel: [    7.581926] USB Video Class driver (v0.1.0)
May  9 17:36:40 localhost kernel: [    7.632919] [drm] nouveau 0000:02:00.0: 512 MiB GART (aperture)
May  9 17:36:40 localhost kernel: [    7.661120] [drm] nouveau 0000:02:00.0: Allocating FIFO number 1
May  9 17:36:40 localhost kernel: [    7.661203] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661249] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661294] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661338] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661383] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661427] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661472] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661516] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661560] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661606] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661651] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661694] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661740] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661784] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661829] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661873] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661922] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661974] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662026] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662080] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662131] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662181] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662233] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662284] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662334] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662385] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662436] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662488] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662540] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662593] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662644] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662695] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662744] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662790] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662836] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662881] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662925] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662971] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663017] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663063] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663110] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663155] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663200] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663244] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663289] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663334] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663378] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663423] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663467] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663512] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663560] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663610] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663661] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663712] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663764] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663816] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663866] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663916] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663967] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664018] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664071] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664125] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664176] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664227] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664277] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664328] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664379] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664430] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664481] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664532] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664583] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664630] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664677] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664723] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664767] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664811] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664855] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664900] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664945] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664990] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665063] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665110] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665156] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665202] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665247] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665291] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665336] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665382] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665427] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665473] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665518] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665562] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665607] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665651] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665696] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665741] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665785] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665830] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:42 localhost kernel: [    7.665874] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:42 localhost kernel: [    7.665919] [drm] nouveau 0000:02:00.0: PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:42 localhost kernel: [    7.665936] [drm] nouveau 0000:02:00.0: PFIFO still angry after 101 spins, halt
May  9 17:36:42 localhost kernel: [    8.652375] [drm] nouveau 0000:02:00.0: nouveau_channel_alloc: initialised FIFO 1
May  9 17:36:42 localhost kernel: [    8.657735] [drm] nouveau 0000:02:00.0: Detected a LVDS output
May  9 17:36:42 localhost kernel: [    8.661904] [drm] nouveau 0000:02:00.0: Detected a DAC output
May  9 17:36:42 localhost kernel: [    8.666259] [drm] nouveau 0000:02:00.0: Detected a TMDS output
May  9 17:36:42 localhost kernel: [    8.670823] [drm] nouveau 0000:02:00.0: DCB encoder 1 unknown
May  9 17:36:42 localhost kernel: [    8.675701] [drm] nouveau 0000:02:00.0: Detected a LVDS connector
May  9 17:36:42 localhost kernel: [    8.777526] [drm] nouveau 0000:02:00.0: Detected a VGA connector
May  9 17:36:42 localhost kernel: [    8.782930] [drm] nouveau 0000:02:00.0: Detected a DVI-D connector
May  9 17:36:42 localhost kernel: [    8.807587] ACPI: EC: GPE storm detected, transactions will use polling mode
May  9 17:36:42 localhost kernel: [    9.812088] ACPI: PCI Interrupt Link [LAZA] enabled at IRQ 21
May  9 17:36:42 localhost kernel: [    9.818785] HDA Intel 0000:00:07.0: PCI INT A -> Link[LAZA] -> GSI 21 (level, low) -> IRQ 21
May  9 17:36:42 localhost kernel: [    9.826695] hda_intel: Disable MSI for Nvidia chipset
Ma

 
--------- snap ----------------

It seems, this is the problem. With any other kernels it works. On my EEEPC 1005HA, which is i386 ans on my desktop PC (AMD Athlon), 
which is i386, too, both kernels *****-5-amd64 are working fine.

If required, I can send you the whole kernel.log, too.


Best regards


Hans-J. Ullrich



 




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#580894; Package linux-image-2.6.32-5-amd65. (Sun, 09 May 2010 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sun, 09 May 2010 17:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 580894@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: "Hans-J. Ullrich" <hans.ullrich@loop.de>, 580894@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Sun, 09 May 2010 19:01:17 +0200
[Message part 1 (text/plain, inline)]
Hans-J. Ullrich schrieb:
> Package: linux-image-2.6.32-5-amd65
                                   ^^^

You might want to reassign & retitle your bug report, see  
   http://www.debian.org/Bugs/server-control

Best Regards

Alexander Kurtz
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-image-2.6.32-5-amd65' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 09 May 2010 17:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Sun, 09 May 2010 17:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 May 2010 17:51:08 GMT) Full text and rfc822 format available.

Message #17 received at 580894@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: 580894@bugs.debian.org
Subject: linux-image-amd64
Date: Sun, 9 May 2010 19:39:31 +0200
Dear maintainer-team,

as I did not know, how to reassign, I send the whole text again. Please ignore 
my former message. It is not quite clear for me, which package is affected, IMO 
it is linux-image-2.6.32-5-amd64, although this one is a dependency of linux-
image-amd64 as well as of linux-image-2.6. The affected package is indeed 
linux-image-2.6.32-5-amd64. 

Description: 

I just made an upgrade from kernel linux-image-2.6.32-3-amd64 to ****-5-amd64.

Sadly I have to tell, thatthe new kernel does not start, more precisely, the 
screen goes black (switches off). 
I can see, that the boot process is going on, until X starts. 

The last thing, I can see, is something with "drm" and "noveau". As it is 
going too fast to read the lines, I checked
the logs. the relevant output (i suppose) is this:

----------- snip -----------------

May  9 17:36:40 localhost kernel: [    7.531235] input: Acer Crystal Eye 
webcam  as /devices/pci0000:00/0000:00:02.1/usb1/1-3/1-3:1.0/input/input10
May  9 17:36:40 localhost kernel: [    7.556239] usbcore: registered new 
interface driver uvcvideo
May  9 17:36:40 localhost kernel: [    7.581926] USB Video Class driver 
(v0.1.0)
May  9 17:36:40 localhost kernel: [    7.632919] [drm] nouveau 0000:02:00.0: 
512 MiB GART (aperture)
May  9 17:36:40 localhost kernel: [    7.661120] [drm] nouveau 0000:02:00.0: 
Allocating FIFO number 1
May  9 17:36:40 localhost kernel: [    7.661203] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661249] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661294] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661338] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661383] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661427] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661472] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661516] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661560] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661606] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661651] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661694] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661740] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661784] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661829] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661873] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661922] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.661974] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662026] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662080] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662131] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662181] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662233] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662284] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662334] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662385] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662436] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662488] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662540] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662593] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662644] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662695] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662744] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662790] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662836] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662881] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662925] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.662971] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663017] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663063] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663110] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663155] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663200] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663244] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663289] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663334] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663378] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663423] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663467] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663512] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663560] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663610] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663661] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663712] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663764] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663816] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663866] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663916] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:40 localhost kernel: [    7.663967] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664018] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664071] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664125] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664176] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664227] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664277] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664328] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664379] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664430] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664481] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664532] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664583] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664630] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664677] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664723] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664767] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664811] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664855] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664900] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664945] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.664990] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665063] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665110] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665156] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665202] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665247] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665291] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665336] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665382] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665427] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665473] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665518] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665562] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665607] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665651] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665696] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665741] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665785] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:41 localhost kernel: [    7.665830] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:42 localhost kernel: [    7.665874] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:42 localhost kernel: [    7.665919] [drm] nouveau 0000:02:00.0: 
PFIFO_INTR 0x00000010 - Ch 127
May  9 17:36:42 localhost kernel: [    7.665936] [drm] nouveau 0000:02:00.0: 
PFIFO still angry after 101 spins, halt
May  9 17:36:42 localhost kernel: [    8.652375] [drm] nouveau 0000:02:00.0: 
nouveau_channel_alloc: initialised FIFO 1
May  9 17:36:42 localhost kernel: [    8.657735] [drm] nouveau 0000:02:00.0: 
Detected a LVDS output
May  9 17:36:42 localhost kernel: [    8.661904] [drm] nouveau 0000:02:00.0: 
Detected a DAC output
May  9 17:36:42 localhost kernel: [    8.666259] [drm] nouveau 0000:02:00.0: 
Detected a TMDS output
May  9 17:36:42 localhost kernel: [    8.670823] [drm] nouveau 0000:02:00.0: 
DCB encoder 1 unknown
May  9 17:36:42 localhost kernel: [    8.675701] [drm] nouveau 0000:02:00.0: 
Detected a LVDS connector
May  9 17:36:42 localhost kernel: [    8.777526] [drm] nouveau 0000:02:00.0: 
Detected a VGA connector
May  9 17:36:42 localhost kernel: [    8.782930] [drm] nouveau 0000:02:00.0: 
Detected a DVI-D connector
May  9 17:36:42 localhost kernel: [    8.807587] ACPI: EC: GPE storm detected, 
transactions will use polling mode
May  9 17:36:42 localhost kernel: [    9.812088] ACPI: PCI Interrupt Link 
[LAZA] enabled at IRQ 21
May  9 17:36:42 localhost kernel: [    9.818785] HDA Intel 0000:00:07.0: PCI 
INT A -> Link[LAZA] -> GSI 21 (level, low) -> IRQ 21
May  9 17:36:42 localhost kernel: [    9.826695] hda_intel: Disable MSI for 
Nvidia chipset
Ma

 
--------- snap ----------------

It seems, this is the problem. With any other kernels it works. On my EEEPC 
1005HA, which is i386 ans on my desktop PC (AMD Athlon), 
which is i386, too, both kernels *****-5-amd64 are working fine.

If required, I can send you the whole kernel.log, too.


Best regards


Hans-J. Ullrich




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Tue, 11 May 2010 12:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 May 2010 12:51:12 GMT) Full text and rfc822 format available.

Message #22 received at 580894@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: "Hans-J. Ullrich" <hans.ullrich@loop.de>
Cc: 580894@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Tue, 11 May 2010 14:47:32 +0200
[Message part 1 (text/plain, inline)]
First, shouldn't this package be assigned to linux-image-2.6.32-5-amd64
(which has source linux-2.6 anyway)? Otherwise apt-listbugs cannot warn
the user.

On 2010-05-09 18:31:39 +0200, Hans-J. Ullrich wrote:
> I just made an upgrade from kernel linux-image-2.6.32-3-amd64 to
> ****-5-amd64.

Ditto. My machine is a HP Z800.

> Sadly I have to tell, thatthe new kernel does not start, more
> precisely, the screen goes black (switches off).

Same problem, the screen goes black after a few lines. And the
monitor goes to sleep. Then...

> I can see, that the boot process is going on, until X starts. 

Ditto, and the monitor wakes up, but with a corrupt image.

I've attached the beginning of the logs (compressed). Then I got
the same message until I switched off:

  [drm] nouveau 0000:0f:00.0: PFIFO_INTR 0x00000010 - Ch 1

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)
[kern.log.bz2 (application/octet-stream, attachment)]

Changed Bug title to 'linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)' from 'linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Tue, 11 May 2010 13:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Tue, 11 May 2010 14:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <jhr@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 May 2010 14:15:13 GMT) Full text and rfc822 format available.

Message #29 received at 580894@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Tue, 11 May 2010 16:11:12 +0200
[Message part 1 (text/plain, inline)]
I'm not sure my problem is related or even another bug...

On Tue, May 11, 2010 at 02:47:32PM +0200, Vincent Lefevre wrote:
> > Sadly I have to tell, thatthe new kernel does not start, more
> > precisely, the screen goes black (switches off).
> 
> Same problem, the screen goes black after a few lines. And the
> monitor goes to sleep. Then...

Same here but...

> > I can see, that the boot process is going on, until X starts. 
> 
> Ditto, and the monitor wakes up, but with a corrupt image.

my system really hangs. There is *nothing* happening at all. I have to
reset completely. Unfortunately, I don't find any log messages. Possibly
the system hangs too early. What I do know is that drm stuff is the last
I can see on the screen before the system would hang up.

HTH
Hauke

-- 
 .''`.   Jan Hauke Rahm <jhr@debian.org>               www.jhr-online.de
: :'  :  Debian Developer                                 www.debian.org
`. `'`   Member of the Linux Foundation                    www.linux.com
  `-     Fellow of the Free Software Foundation Europe      www.fsfe.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Tue, 11 May 2010 15:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 May 2010 15:03:06 GMT) Full text and rfc822 format available.

Message #34 received at 580894@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jan Hauke Rahm <jhr@debian.org>, 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Tue, 11 May 2010 17:02:17 +0200
On 2010-05-11 16:11:12 +0200, Jan Hauke Rahm wrote:
> > > I can see, that the boot process is going on, until X starts. 
> > 
> > Ditto, and the monitor wakes up, but with a corrupt image.
> 
> my system really hangs.

Note: concerning mine, I haven't tried to use it via SSH. But the
image was so corrupt, that I couldn't do anything useful except
switching the machine off.

> There is *nothing* happening at all. I have to reset completely.
> Unfortunately, I don't find any log messages. Possibly the system
> hangs too early. What I do know is that drm stuff is the last I can
> see on the screen before the system would hang up.

Look at /var/log/kern.log

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Tue, 11 May 2010 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to jefrat@jeffratliff.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 May 2010 15:45:05 GMT) Full text and rfc822 format available.

Message #39 received at 580894@bugs.debian.org (full text, mbox):

From: Jeff Ratliff <jefrat@jeffratliff.org>
To: 580894@bugs.debian.org
Subject: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Tue, 11 May 2010 11:36:58 -0400
Workaround is to blacklist the nouveau driver. 

In /etc/modprobe.d/blacklist.conf insert the line: 
blacklist nouveau

However, recent updates in Sid fix this for me. Packages are 
 libdrm-nouveau1 2.4.18-5
 xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-3

On my system, this is no longer a bug.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Tue, 11 May 2010 16:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 May 2010 16:30:10 GMT) Full text and rfc822 format available.

Message #44 received at 580894@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: jefrat@jeffratliff.org, 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Tue, 11 May 2010 18:26:12 +0200
On 2010-05-11 11:36:58 -0400, Jeff Ratliff wrote:
> Workaround is to blacklist the nouveau driver. 
> 
> In /etc/modprobe.d/blacklist.conf insert the line: 
> blacklist nouveau
> 
> However, recent updates in Sid fix this for me. Packages are 
>  libdrm-nouveau1 2.4.18-5
>  xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-3

I haven't tried yet. When I upgraded the kernel, these packages
were not installed (because there are no dependencies).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Wed, 12 May 2010 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 May 2010 16:42:03 GMT) Full text and rfc822 format available.

Message #49 received at 580894@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jan Hauke Rahm <jhr@debian.org>, 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Wed, 12 May 2010 18:39:20 +0200
On 2010-05-11 17:02:17 +0200, Vincent Lefevre wrote:
> On 2010-05-11 16:11:12 +0200, Jan Hauke Rahm wrote:
> > > > I can see, that the boot process is going on, until X starts. 
> > > 
> > > Ditto, and the monitor wakes up, but with a corrupt image.
> > 
> > my system really hangs.
> 
> Note: concerning mine, I haven't tried to use it via SSH. But the
> image was so corrupt, that I couldn't do anything useful except
> switching the machine off.

I could try with SSH, and it worked. So, this is only a video driver
problem.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Wed, 12 May 2010 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 May 2010 16:48:03 GMT) Full text and rfc822 format available.

Message #54 received at 580894@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Wed, 12 May 2010 18:45:21 +0200
On 2010-05-11 11:36:58 -0400, Jeff Ratliff wrote:
> Workaround is to blacklist the nouveau driver. 
> 
> In /etc/modprobe.d/blacklist.conf insert the line: 
> blacklist nouveau
> 
> However, recent updates in Sid fix this for me. Packages are 
>  libdrm-nouveau1 2.4.18-5
>  xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-3
> 
> On my system, this is no longer a bug.

I now have:

  linux-image-2.6.32-5-amd64 2.6.32-12
  libdrm-nouveau1 2.4.18-5
  xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-3

(and everything concerning Xorg being up-to-date from unstable),
and the problem still occurs.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Wed, 12 May 2010 17:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 May 2010 17:15:05 GMT) Full text and rfc822 format available.

Message #59 received at 580894@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Vincent Lefevre <vincent@vinc17.net>, 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Wed, 12 May 2010 19:12:20 +0200
[Message part 1 (text/plain, inline)]
On Wed, May 12, 2010 at 18:45:21 +0200, Vincent Lefevre wrote:

> On 2010-05-11 11:36:58 -0400, Jeff Ratliff wrote:
> > Workaround is to blacklist the nouveau driver. 
> > 
> > In /etc/modprobe.d/blacklist.conf insert the line: 
> > blacklist nouveau
> > 
> > However, recent updates in Sid fix this for me. Packages are 
> >  libdrm-nouveau1 2.4.18-5
> >  xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-3
> > 
> > On my system, this is no longer a bug.
> 
> I now have:
> 
>   linux-image-2.6.32-5-amd64 2.6.32-12
>   libdrm-nouveau1 2.4.18-5
>   xserver-xorg-video-nouveau 1:0.0.15+git20100329+7858345-3
> 
> (and everything concerning Xorg being up-to-date from unstable),
> and the problem still occurs.
> 
Please file your own separate bugs for your own issues.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Wed, 12 May 2010 17:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 May 2010 17:15:07 GMT) Full text and rfc822 format available.

Message #64 received at 580894@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Hans-J. Ullrich" <hans.ullrich@loop.de>, 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-amd64
Date: Wed, 12 May 2010 19:13:13 +0200
[Message part 1 (text/plain, inline)]
On Sun, May  9, 2010 at 19:39:31 +0200, Hans-J. Ullrich wrote:

> If required, I can send you the whole kernel.log, too.
> 
Yes, please send the full kernel and X logs.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Wed, 12 May 2010 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 May 2010 22:15:03 GMT) Full text and rfc822 format available.

Message #69 received at 580894@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd65: linux-image-2.6.32-5-amd64 crashes at boot
Date: Thu, 13 May 2010 00:10:57 +0200
On 2010-05-12 19:12:20 +0200, Julien Cristau wrote:
> Please file your own separate bugs for your own issues.

Well, my issue seems to be the same as the reporter's (Hans-J. Ullrich).
At least I get (almost) the same kernel messages:

  [drm] nouveau <some_numbers>: PFIFO_INTR 0x00000010 - Ch <some_number>

repeated a lot of times. See the other similarities in Message 22:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580894#22

Perhaps Jeff Ratliff had a different issue.

For those who get the same message, it would be interesting to know
  * the versions of libdrm-nouveau1 and xserver-xorg-video-nouveau,
  * whether X starts (this can be known by looking at the old Xorg
    log file after rebooting with a working kernel, or by ssh),
  * whether one can ssh the machine (of course, there must be a SSH
    server, and this can be tested with a working kernel). Well,
    whether one can ping the machine could be sufficient.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Fri, 14 May 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 14 May 2010 15:27:04 GMT) Full text and rfc822 format available.

Message #74 received at 580894@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: 580894@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)
Date: Fri, 14 May 2010 17:22:18 +0200
[Message part 1 (text/plain, inline)]
Hi all,

Julien Cristau <jcristau@debian.org> required my logfiles. Here they are, hope 
it helps. Plase apologize, if they are too huge.

Best regards

Hans



[Xorg.0.log (text/x-log, attachment)]
[kern.log (text/x-log, attachment)]
[kern.log.0 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Sun, 16 May 2010 10:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 May 2010 10:12:07 GMT) Full text and rfc822 format available.

Message #79 received at 580894@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: 580894@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)
Date: Sun, 16 May 2010 12:08:13 +0200
Yeah! Found out, why this kernel version crashes. The reason is the new video 
driver "nouveau", which is interfering with some nvidia-garphic-cards. 

Workaround: If you are using the binary and accelerated driver "nvidia-glx",  
then you will not need the nouveau driver from the kernel. Either delete it , 
or , just blacklist it. (Enter the driver in /etc/modules/blacklist.conf).

This is working for me.

Cheers

Hans




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Sun, 16 May 2010 11:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 May 2010 11:27:04 GMT) Full text and rfc822 format available.

Message #84 received at 580894@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "Hans-J. Ullrich" <hans.ullrich@loop.de>
Cc: 580894@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)
Date: Sun, 16 May 2010 13:24:07 +0200
Am 16.05.2010 um 12:08 schrieb Hans-J. Ullrich:

> Yeah! Found out, why this kernel version crashes. The reason is the new video 
> driver "nouveau", which is interfering with some nvidia-garphic-cards. 

Nitpick: it interferes with the proprietary driver, not with the card.

> Workaround: If you are using the binary and accelerated driver "nvidia-glx",  
> then you will not need the nouveau driver from the kernel. Either delete it , 
> or , just blacklist it. (Enter the driver in /etc/modules/blacklist.conf).

It would probably make sense if the nvidia-glx package shipped a file
blacklisting nouveau.

The interesting question is why nvidia.ko does even get loaded (that the
screen goes blank then does not really surprise me).  On my system, it
refuses to load when nouveau is in charge of the card.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Sun, 16 May 2010 11:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 May 2010 11:45:06 GMT) Full text and rfc822 format available.

Message #89 received at 580894@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Sven Joachim <svenjoac@gmx.de>, 580894@bugs.debian.org
Cc: "Hans-J. Ullrich" <hans.ullrich@loop.de>
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)
Date: Sun, 16 May 2010 13:41:51 +0200
On 2010-05-16 13:24:07 +0200, Sven Joachim wrote:
> Am 16.05.2010 um 12:08 schrieb Hans-J. Ullrich:
> > Yeah! Found out, why this kernel version crashes. The reason is
> > the new video driver "nouveau", which is interfering with some
> > nvidia-garphic-cards.
> 
> Nitpick: it interferes with the proprietary driver, not with the card.

In my case, I don't have the proprietary driver installed on my
machine affected by the problem. So, there is at least a bug that
is *not* due to the proprietary driver.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Sun, 16 May 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 May 2010 11:51:04 GMT) Full text and rfc822 format available.

Message #94 received at 580894@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 580894@bugs.debian.org, "Hans-J. Ullrich" <hans.ullrich@loop.de>
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)
Date: Sun, 16 May 2010 13:49:40 +0200
On 2010-05-16 13:41 +0200, Vincent Lefevre wrote:

> On 2010-05-16 13:24:07 +0200, Sven Joachim wrote:
>> Am 16.05.2010 um 12:08 schrieb Hans-J. Ullrich:
>> > Yeah! Found out, why this kernel version crashes. The reason is
>> > the new video driver "nouveau", which is interfering with some
>> > nvidia-garphic-cards.
>> 
>> Nitpick: it interferes with the proprietary driver, not with the card.
>
> In my case, I don't have the proprietary driver installed on my
> machine affected by the problem. So, there is at least a bug that
> is *not* due to the proprietary driver.

You have already been told to file your own bugs for your own issues and
you have not sent anything meaningful (i.e. logs) so far.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580894; Package linux-2.6. (Sun, 16 May 2010 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 May 2010 12:42:03 GMT) Full text and rfc822 format available.

Message #99 received at 580894@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 580894@bugs.debian.org, "Hans-J. Ullrich" <hans.ullrich@loop.de>
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)
Date: Sun, 16 May 2010 14:39:42 +0200
On 2010-05-16 13:49:40 +0200, Sven Joachim wrote:
> You have already been told to file your own bugs for your own issues and

OK, http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=581830

> you have not sent anything meaningful (i.e. logs) so far.

I did send kernel logs here:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580894#22

(also in my new bug report).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Bug reassigned from package 'linux-2.6' to 'nvidia-glx'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 17 May 2010 03:15:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'nvidia-glx conflicts with nouveau KMS driver' from 'linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 17 May 2010 03:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#580894; Package nvidia-glx. (Mon, 17 May 2010 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 17 May 2010 08:54:03 GMT) Full text and rfc822 format available.

Message #108 received at 580894@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 580894@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#580894: linux-image-2.6.32-5-amd64 crashes at boot (due to nouveau)
Date: Mon, 17 May 2010 10:50:30 +0200
reassign 580894 nvidia-kernel-common
thanks

On Sunday, 16. May 2010 13:24:07 Sven Joachim wrote:
> It would probably make sense if the nvidia-glx package shipped a file
> blacklisting nouveau.

The correct package to ship a blacklist file is nvidia-kernel-common. And 
since we already ship /etc/modprobe.d/nvidia-kernel-nkc.conf there, we just 
need to add

    # nvidia.ko and nouveau.ko don't work together, see #580894
    blacklist nouveau


Andreas




Bug reassigned from package 'nvidia-glx' to 'nvidia-kernel-common'. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 17 May 2010 08:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#580894; Package nvidia-kernel-common. (Mon, 17 May 2010 14:42:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 17 May 2010 14:42:59 GMT) Full text and rfc822 format available.

Message #115 received at 580894@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <580894@bugs.debian.org>
Subject: nvidia-kernel-common: no conflict between nouveau and nvidia on G84M [Quadro NVS 140M]
Date: Mon, 17 May 2010 16:37:32 +0200
Package: nvidia-kernel-common
Version: 20100216+3+nmu1
Severity: normal

I just checked on my laptop with a G84M [Quadro NVS 140M] GPU and found
that I had both nvidia.ko (first) and nouveau.ko (later) loaded without
gettiny any problems. Manually unloading both and thereafter loading
nouveau first switched the system to a nouveau framebuffer console, a
nouveau.ko module no longer being removable and an nvidia.ko that could
not be loaded because nouveau.ko already had claimed the GPU (till the
next reboot). I'm not sure what defined the load order during boot,
neither of the modules is listed in /etc/modules.

Andreas


-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (800, 'stable'), (700, 'testing'), (600, 'unstable'), (130, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nvidia-kernel-common depends on:
ii  module-init-tools            3.12~pre2-3 tools for managing Linux kernel mo

nvidia-kernel-common recommends no packages.

nvidia-kernel-common suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#580894; Package nvidia-kernel-common. (Mon, 17 May 2010 14:57:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 17 May 2010 14:57:19 GMT) Full text and rfc822 format available.

Message #120 received at 580894@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 580894@bugs.debian.org
Subject: Re: Bug#580894: nvidia-kernel-common: no conflict between nouveau and nvidia on G84M [Quadro NVS 140M]
Date: Mon, 17 May 2010 16:53:11 +0200
Am 17.05.2010 um 16:37 schrieb Andreas Beckmann:

> I just checked on my laptop with a G84M [Quadro NVS 140M] GPU and found
> that I had both nvidia.ko (first) and nouveau.ko (later) loaded without
> gettiny any problems.

That is a little bit surprising.

> Manually unloading both and thereafter loading
> nouveau first switched the system to a nouveau framebuffer console, a
> nouveau.ko module no longer being removable and an nvidia.ko that could
> not be loaded because nouveau.ko already had claimed the GPU (till the
> next reboot).

This is my experience as well.

> I'm not sure what defined the load order during boot,
> neither of the modules is listed in /etc/modules.

The normal order would be nouveau.ko loaded first by udev (in 2.6.32-5),
nvidia.ko only gets loaded when X starts.

Sven




Added tag(s) pending. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 21 May 2010 10:45:13 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Sun, 23 May 2010 03:36:06 GMT) Full text and rfc822 format available.

Notification sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Bug acknowledged by developer. (Sun, 23 May 2010 03:36:06 GMT) Full text and rfc822 format available.

Message #127 received at 580894-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 580894-close@bugs.debian.org
Subject: Bug#580894: fixed in nvidia-kernel-common 20100522+1
Date: Sun, 23 May 2010 03:33:41 +0000
Source: nvidia-kernel-common
Source-Version: 20100522+1

We believe that the bug you reported is fixed in the latest version of
nvidia-kernel-common, which is due to be installed in the Debian FTP archive:

nvidia-kernel-common_20100522+1.dsc
  to contrib/n/nvidia-kernel-common/nvidia-kernel-common_20100522+1.dsc
nvidia-kernel-common_20100522+1.tar.gz
  to contrib/n/nvidia-kernel-common/nvidia-kernel-common_20100522+1.tar.gz
nvidia-kernel-common_20100522+1_all.deb
  to contrib/n/nvidia-kernel-common/nvidia-kernel-common_20100522+1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580894@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated nvidia-kernel-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 22 May 2010 19:45:36 -0700
Source: nvidia-kernel-common
Binary: nvidia-kernel-common
Architecture: source all
Version: 20100522+1
Distribution: unstable
Urgency: low
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 nvidia-kernel-common - NVIDIA binary kernel module support files
Closes: 580894
Changes: 
 nvidia-kernel-common (20100522+1) unstable; urgency=low
 .
   [ Andreas Beckmann ]
   * Remove Randall Donald from Uploaders per his request.
   * Add Russ Allbery to Uploaders.
   * Blacklist the nouveau kernel module. (Closes: #580894)
   * Simplify package build.
   * Rename modprobe config to nvidia-kernel-common.conf and use
     dh_installmodules for installation.
   * Adjust transition code in maintainer scripts to take cake of both old
     names nvidia-kernel-nkc and nvidia-kernel-nkc.conf.
 .
   [ Russ Allbery ]
   * Expand the package long description.
   * Rewrite debian/copyright in the DEP-5 format and clarify that the
     package is licensed under the GPL version 2 or later.  Add the
     Policy-requested disclaimer explaining why the package is in contrib.
Checksums-Sha1: 
 6c236da3561975d64fb6e463e7c4471d4c0227dd 866 nvidia-kernel-common_20100522+1.dsc
 117bd37ead3f27159b6d465026c676848184848c 5713 nvidia-kernel-common_20100522+1.tar.gz
 6268bcef7afc00b73049a36c48da653989d9f6b9 7414 nvidia-kernel-common_20100522+1_all.deb
Checksums-Sha256: 
 4e0c0c5b009ca354b4aa4e12a8f2e790e870a5b53675bbcc936debc97e20cf12 866 nvidia-kernel-common_20100522+1.dsc
 4a1cf8d5ab66c248c29210c81af748d27450b11ad5e6ac9183e91dc72cccbd06 5713 nvidia-kernel-common_20100522+1.tar.gz
 661ec71e61b387e49bb78124c03effd2d8c872b78160f985c37a7df136aa6994 7414 nvidia-kernel-common_20100522+1_all.deb
Files: 
 2e55d453c7ade47c2dcb5637ee36058e 866 contrib/kernel optional nvidia-kernel-common_20100522+1.dsc
 37a015466c0566df47251b26624cd020 5713 contrib/kernel optional nvidia-kernel-common_20100522+1.tar.gz
 0cfdd0290a0ee2a6f6f4108f0ff6d53d 7414 contrib/kernel optional nvidia-kernel-common_20100522+1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkv4l10ACgkQ+YXjQAr8dHbVyQCgidbHWe+9vyZUpscwpY7ddU02
M4wAnjlrdCPfCaHU01yFxFA3P+DPaEeP
=hTnl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Jun 2010 07:38:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:39:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.